## kdevelop 4.6.0

=== CMakeLists.txt ===
# KDevelop version
set( KDEVELOP_VERSION_MAJOR 4 )
set( KDEVELOP_VERSION_MINOR 6 )
set( KDEVELOP_VERSION_PATCH 0 )
# KDevplatform dependency version
set( KDEVPLATFORM_VERSION "1.${KDEVELOP_VERSION_MINOR}.${KDEVELOP_VERSION_PATCH}" )

################################################################################

cmake_minimum_required(VERSION 2.8)

project(KDevelop)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 4.7.0 REQUIRED)

include (KDE4Defaults)
include (MacroLibrary)
include (MacroOptionalAddSubdirectory)

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake from KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
 set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)

include_directories(${KDEVPLATFORM_INCLUDE_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(${KDevelop_SOURCE_DIR} ${KDevelop_BINARY_DIR} ${KDE4_INCLUDES} )

# create config.h
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory(cmake)
add_subdirectory(pics)
add_subdirectory(app)
add_subdirectory(formatters)
add_subdirectory(languages)
add_subdirectory(projectbuilders)
add_subdirectory(projectmanagers)
add_subdirectory(debuggers)
add_subdirectory(app_templates)
add_subdirectory(documentation)
add_subdirectory(kdeintegration)
add_subdirectory(utils)
add_subdirectory(file_templates)
add_subdirectory(providers)

macro_optional_add_subdirectory(doc)

macro_display_feature_log()

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== app_templates/CMakeLists.txt ===
set(apptemplate_DIRS
    cpp/CMake/cmake_qt4core
    cpp/CMake/cmake_qt4gui
    cpp/CMake/cmake_qt4core_qtest
    cpp/CMake/cmake_plaincpp
)

kdevplatform_add_app_templates(${apptemplate_DIRS})

=== file_templates/CMakeLists.txt ===
set(filetemplate_DIRS
    classes/cpp_basic
    classes/private_pointer
    classes/qt_widget
    classes/qobject
    classes/python_basic
    classes/c_gobject
    classes/c_gobject_private
    classes/c_gobject_properties
    classes/qt_shared

    testing/cpp_qtestlib
    testing/cpp_qtestlib_kde
    testing/cpp_qtestlib_kdevelop
    testing/python_pyunit
    testing/php_phpunit

    other/cmake_module
)

kdevplatform_add_file_templates(${filetemplate_DIRS})

install ( FILES
    common/method_declaration_cpp.txt
    common/method_definition_cpp.txt
    common/license_header_cpp.txt
    common/class_declaration_cpp.txt
    common/cpp_header.h
    common/cpp_header_onlyfunctions.h
    common/cpp_implementation.cpp
    DESTINATION ${DATA_INSTALL_DIR}/kdevcodegen/templates
)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nds)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(th)
add_subdirectory(hu)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(el)

=== projectbuilders/CMakeLists.txt ===

add_subdirectory(makebuilder)
add_subdirectory(ninjabuilder)
macro_optional_add_subdirectory(cmakebuilder)

=== projectmanagers/CMakeLists.txt ===
macro_optional_add_subdirectory(cmake)
macro_optional_add_subdirectory(custommake)
macro_optional_add_subdirectory(custom-buildsystem)

=== debuggers/gdb/CMakeLists.txt ===
project(gdb)

macro_optional_find_package( KDE4Workspace 4.2.0 )

macro_log_feature( KDE4WORKSPACE_FOUND
"KDE 4 Workspace" "KDE 4 Workspace libraries" "kdebase/workspace" FALSE
"" "Required for building the process selection dialog for attaching GDB to a running process."
)

if(KDE4WORKSPACE_FOUND)
    include_directories(
        ${KDE4WORKSPACE_INCLUDE_DIR}
    )
    add_definitions(
        -DKDEV_ENABLE_GDB_ATTACH_DIALOG
    )
endif(KDE4WORKSPACE_FOUND)

add_subdirectory(unittests)
add_subdirectory(printers)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9012 )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

#add_subdirectory(tests)

########### next target ###############

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

set(kdevgdb_PART_SRCS
    gdb.cpp
    debuggerplugin.cpp
    gdbcommandqueue.cpp
    gdbcommand.cpp
    gdbparser.cpp
    stty.cpp
    disassemblewidget.cpp
    memviewdlg.cpp
    gdboutputwidget.cpp
#    debuggertracingdialog.cpp
    breakpointcontroller.cpp
    mi/gdbmi.cpp
    mi/milexer.cpp
    mi/miparser.cpp
    stringhelpers.cpp
    debugsession.cpp
    gdblaunchconfig.cpp
    debugjob.cpp
    selectcoredialog.cpp
    variablecontroller.cpp
    gdbframestackmodel.cpp
    gdbvariable.cpp
    registers/registersview.cpp
    registers/registercontroller.cpp
    registers/registersmanager.cpp
    registers/registercontroller_x86.cpp
    registers/registercontroller_arm.cpp
    registers/modelsmanager.cpp
    registers/converters.cpp
)

if(KDE4WORKSPACE_FOUND)
    set(kdevgdb_PART_SRCS
        ${kdevgdb_PART_SRCS}
        processselection.cpp
    )
endif(KDE4WORKSPACE_FOUND)

set(kdevgdb_PART_UI
    debuggertracingdialog.ui
    debuggerconfigwidget.ui
    selectcore.ui
    selectaddress.ui
    registers/registersview.ui
)

kde4_add_ui_files(kdevgdb_PART_SRCS ${kdevgdb_PART_UI})
kde4_add_plugin(kdevgdb ${kdevgdb_PART_SRCS})
target_link_libraries(kdevgdb sublime
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
    ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4WORKSPACE_PROCESSUI_LIBS}
)

install(TARGETS kdevgdb DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(gdbtest_PART_SRCS
    unittests/gdbtest.cpp
    gdb.cpp
    gdbcommandqueue.cpp
    gdbcommand.cpp
    gdbparser.cpp
    stty.cpp
    disassemblewidget.cpp
    memviewdlg.cpp
    gdboutputwidget.cpp
#    debuggertracingdialog.cpp
    breakpointcontroller.cpp
    mi/gdbmi.cpp
    mi/milexer.cpp
    mi/miparser.cpp
    stringhelpers.cpp
    debugsession.cpp
    variablecontroller.cpp
    gdbframestackmodel.cpp
    gdbvariable.cpp
    registers/registersview.cpp
    registers/registercontroller.cpp
    registers/registersmanager.cpp
    registers/registercontroller_x86.cpp
    registers/registercontroller_arm.cpp
    registers/modelsmanager.cpp
    registers/converters.cpp
)

if(KDE4WORKSPACE_FOUND)
    set(gdbtest_PART_SRCS
        ${gdbtest_PART_SRCS}
        processselection.cpp
    )
endif(KDE4WORKSPACE_FOUND)

kde4_add_ui_files(gdbtest_PART_SRCS
    debuggertracingdialog.ui
    selectaddress.ui
    registers/registersview.ui
)
kde4_add_unit_test(gdbtest ${gdbtest_PART_SRCS})
target_link_libraries(gdbtest
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_SHELL_LIBRARIES}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4_KPARTS_LIBRARY}
    ${KDE4WORKSPACE_PROCESSUI_LIBS}
)


########### install files ###############

configure_file(kdevgdb.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevgdb.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevgdb.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kdevgdbui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevgdb )

=== documentation/manpage/CMakeLists.txt ===

set(kdevmanpage_SRCS
    manpagedocumentation.cpp
    manpageplugin.cpp
    manpagemodel.cpp
    manpagedocumentationwidget.cpp
)

kde4_add_plugin(kdevmanpage ${kdevmanpage_SRCS})
target_link_libraries(kdevmanpage ${KDE4_KDEUI_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
${KDEVPLATFORM_DOCUMENTATION_LIBRARIES} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTGUI_LIBRARY})

install(TARGETS kdevmanpage DESTINATION ${PLUGIN_INSTALL_DIR})
configure_file(kdevmanpage.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevmanpage.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevmanpage.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== documentation/qthelp/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9045 )
add_subdirectory(tests)
set(kdevqthelp_SRCS
    qthelpplugin.cpp
    qthelpproviderabstract.cpp
    qthelpprovider.cpp
    qthelpdocumentation.cpp
    qthelpqtdoc.cpp
    qthelp_config_shared.cpp
)

kde4_add_plugin(kdevqthelp ${kdevqthelp_SRCS})
target_link_libraries(kdevqthelp
    ${KDE4_KCMUTILS_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTHELP_LIBRARY} ${QT_QTWEBKIT_LIBRARY}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_DOCUMENTATION_LIBRARIES} ${KDEVPLATFORM_INTERFACES_LIBRARIES})

install(TARGETS kdevqthelp DESTINATION ${PLUGIN_INSTALL_DIR})

configure_file(kdevqthelp.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevqthelp.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevqthelp.desktop DESTINATION ${SERVICES_INSTALL_DIR})

### Configuration module for QtHelp plugin

set(kdevqthelp_config_SRCS
    qthelpconfig.cpp
    qthelp_config_shared.cpp
)

kde4_add_ui_files(kdevqthelp_config_SRCS qthelpconfig.ui)

kde4_add_plugin( kdevqthelp_config ${kdevqthelp_config_SRCS} )

target_link_libraries( kdevqthelp_config ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} ${QT_QTHELP_LIBRARY} ${KDE4_KNEWSTUFF3_LIBS})

install( TARGETS kdevqthelp_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kdevqthelp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevelop-qthelp.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== kdeintegration/executeplasmoid/CMakeLists.txt ===
project(executeplasmoid)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9515 )

include_directories(
    ${KDEVPLATFORM_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

########### next target ###############

set(kdevexecuteplasmoid_PART_UIS
    plasmoidexecutionconfig.ui
)

set(kdevexecuteplasmoid_PART_SRCS
    executeplasmoidplugin.cpp
    plasmoidexecutionconfig.cpp
    plasmoidexecutionjob.cpp
)

kde4_add_ui_files( kdevexecuteplasmoid_PART_SRCS ${kdevexecuteplasmoid_PART_UIS} )
kde4_add_plugin(kdevexecuteplasmoid ${kdevexecuteplasmoid_PART_SRCS}  )
target_link_libraries(kdevexecuteplasmoid 
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES} 
    ${KDEVPLATFORM_INTERFACES_LIBRARIES} 
    ${KDEVPLATFORM_UTIL_LIBRARIES} 
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES})

install(TARGETS kdevexecuteplasmoid DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############
configure_file(kdevexecuteplasmoid.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevexecuteplasmoid.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevexecuteplasmoid.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kdeintegration/kdeprovider/CMakeLists.txt ===
add_subdirectory(tests)

set(kdevkdeprovider_PART_SRCS kdeprojectsmodel.cpp
    kdeproviderwidget.cpp
    kdeproviderplugin.cpp
    kdeprojectsmodel.cpp
    kdeprojectsreader.cpp
)
kde4_add_kcfg_files(kdevkdeprovider_PART_SRCS kdeconfig.kcfgc)
kde4_add_ui_files(kdevkdeprovider_PART_SRCS kdeconfig.ui)

kde4_add_plugin(kdevkdeprovider ${kdevkdeprovider_PART_SRCS})
target_link_libraries(kdevkdeprovider ${KDE4_KDEUI_LIBS} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_VCS_LIBRARIES})

install(TARGETS kdevkdeprovider DESTINATION ${PLUGIN_INSTALL_DIR})
configure_file(kdevkdeprovider.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevkdeprovider.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevkdeprovider.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== languages/cpp/CMakeLists.txt ===
project(cpp)
kde4_no_enable_final(cpp)
include(CppBuildConfig.cmake)

include_directories(
    ${KDevelop_SOURCE_DIR}/languages/cpp/parser
    ${KDevelop_SOURCE_DIR}/languages/cpp/cppduchain
)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9007 )

add_subdirectory(parser)
add_subdirectory(cppduchain)
add_subdirectory(tests)
########### next target ###############

set(kdevcpplanguagesupport_PART_SRCS
    cpplanguagesupport.cpp
    includepathcomputer.cpp
    cppparsejob.cpp
    preprocessjob.cpp
    cpphighlighting.cpp
    cpputils.cpp
    includepathresolver.cpp
    setuphelpers.cpp
    setuphelpers_gcc.cpp
    quickopen.cpp
    
    codecompletion/model.cpp
    codecompletion/worker.cpp
    codecompletion/context.cpp
    codecompletion/item.cpp
    codecompletion/helpers.cpp
    codecompletion/missingincludeitem.cpp
    codecompletion/implementationhelperitem.cpp
    codecompletion/missingincludemodel.cpp

#    codegen/cppnewclass.cpp
    codegen/simplerefactoring.cpp
    codegen/progressdialogs.cpp
    codegen/codeassistant.cpp
    codegen/signatureassistant.cpp
    codegen/adaptsignatureaction.cpp
    codegen/renameassistant.cpp
    codegen/renameaction.cpp
    codegen/renamefileaction.cpp
    codegen/unresolvedincludeassistant.cpp
    codegen/cppclasshelper.cpp
#     codegen/makeimplementationprivate.cpp
)

if(MSVC)
    set(kdevcpplanguagesupport_PART_SRCS ${kdevcpplanguagesupport_PART_SRCS} setuphelpers_msvc.cpp)
endif(MSVC)

set(kdevcpplanguagesupport_LIB_UI
    codegen/ui/custom_include_paths.ui
#     codegen/ui/privateimplementation.ui
)

kde4_add_ui_files(kdevcpplanguagesupport_PART_SRCS ${kdevcpplanguagesupport_LIB_UI})

option(BUILD_kdev_includepathresolver "Build the includepath resolver debugging tool" OFF)
if(BUILD_kdev_includepathresolver)
  add_executable(kdev_includepathresolver includepathresolver.cpp)
  set_target_properties( kdev_includepathresolver PROPERTIES COMPILE_FLAGS -DTEST )
  target_link_libraries( kdev_includepathresolver
  ${KDEVPLATFORM_INTERFACES_LIBRARIES}  ${KDEVPLATFORM_PROJECT_LIBRARIES}
  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEVPLATFORM_LANGUAGE_LIBRARIES} )
  install(TARGETS kdev_includepathresolver ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif(BUILD_kdev_includepathresolver)

option(BUILD_uiblocktester "Build a debug thread into the plugin that checks for UI-thread lockups" OFF)
if(BUILD_uiblocktester)
  add_definitions(-DDEBUG_UI_LOCKUP)
endif(BUILD_uiblocktester)

kde4_add_plugin(kdevcpplanguagesupport ${kdevcpplanguagesupport_PART_SRCS})
target_link_libraries(kdevcpplanguagesupport
    kdev4cpprpp
    kdev4cppduchain
    kdev4cppparser
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
)

install(TARGETS kdevcpplanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

configure_file(kdevcppsupport.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevcppsupport.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevcppsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kdevcppsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevcppsupport)

########### only Windows and only for the MSVC ################
if(MSVC)
    set(kdevmsvcdefinehelper_SRCS msvcdefinehelper.cpp)
    add_executable(kdevmsvcdefinehelper ${kdevmsvcdefinehelper_SRCS})
    install(TARGETS kdevmsvcdefinehelper RUNTIME DESTINATION bin
                                         LIBRARY DESTINATION lib)
endif(MSVC)

=== debian/changelog ===
kdevelop (4:4.6.0-0ubuntu3) trusty; urgency=low

  * Promote kdevelop-l10n from Suggests to Recommends to ensure people
    get localization.
    + Add kdevelop-php-docs-l10n, kdevelop-php-l10n as Recommends

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Jan 2014 11:33:44 +0100

kdevelop (4:4.6.0-0ubuntu2) trusty; urgency=low

  * Recommend libqtwebkit-qmlwebkitplugin, required for 'learn kdevelop'
    feature on the overview LP: #1264663
    (Not depending because this is a purely optional dependency, much
     like khelpcenter)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 02 Jan 2014 14:08:06 +0100

kdevelop (4:4.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)
  * Update install files 

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 18:54:59 +0100

kdevelop (4:4.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Bump required version of kdevplatform-dev to 1.5.2

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 16:02:55 +0100

kdevelop (4:4.5.1-0ubuntu5) saucy; urgency=low

  * Rebuild against new okteta 4.11

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 13 Jul 2013 15:30:42 +0200

kdevelop (4:4.5.1-0ubuntu4) saucy; urgency=low

  * Fix typo in kdevelop depends: kata-data -> kate-data.
    Thanks Ladislav Bonita. (LP: #1191916)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 17 Jun 2013 23:49:29 +0200

kdevelop (4:4.5.1-0ubuntu3) saucy; urgency=low

  * Add depends on kate-data, fixes https://bugs.kde.org/318188
    "Adding snippet repository fails with clean install"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 15:05:27 +0100

kdevelop (4:4.5.1-0ubuntu2) saucy; urgency=low

  * Don't build okteta plugin on powerpc or install in
    kdevelop-data.install and edit debian/rules to install on !powerpc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jun 2013 13:59:19 +0100

kdevelop (4:4.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian git packaging, remaining changes
   - replaces/conflucts kdevelop-custom-buildsystem, now build into KDevelop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 17:21:01 +0100

kdevelop (4:4.5.1-0r0) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Make kdevelop-data break/replace kdevelop-doc << 4.3 (it was part of
    kdevelop 3.5).

  [ Andreas Cord-Landwehr]
  * Bump build dependency for kdevplatform-dev to 1.5.1.
  * Remove patch for compile switch for Okteta structure tool since
    BIG_ENDIAN compile switch implemented by upstream
    (remove patch okteta_optional_structures_tool.diff)
  * Add libqjson-dev build dependency.
  * New upstream release:
    - fixes parsing of libc header files (Closes: #707215)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 May 2012 23:56:49 +0200

kdevelop (4:4.5.0-0ubuntu2) saucy; urgency=low

  * replaces/conflucts kdevelop-custom-buildsystem, now build into KDevelop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 May 2013 15:32:19 +0000

kdevelop (4:4.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1175273
  * Add kubuntu_no_test.diff to disable broken test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:16:17 +0000

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 7.4.15),
               kde-workspace-dev (>= 4:4.5.2),
               kdevplatform-dev (>= 1.6.0),
               libqtwebkit-dev,
               okteta-dev,
               pkg-kde-tools (>= 0.9.0),
               libqjson-dev,
               shared-mime-info
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git

Package: kdevelop
Architecture: any
Depends: kdevelop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         kate-data
Recommends: g++, gcc, gdb (>= 7.0), make,
 libqtwebkit-qmlwebkitplugin,
 kdevelop-l10n, kdevelop-php-docs-l10n, kdevelop-php-l10n
Replaces: kdevelop-custom-buildsystem
Conflicts: kdevelop-custom-buildsystem
Suggests: cmake, kapptemplate
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-doc (<< 4:4.3)
Replaces: kdevelop-doc (<< 4:4.3)
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: kdelibs5-dev,
         kdevelop (= ${binary:Version}),
         kdevplatform-dev,
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

Package: kdevelop-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop (= ${binary:Version})
Description: debugging symbols for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains debugging symbols for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Replaces: kdevelop-l10n-ca,
          kdevelop-l10n-cavalencia,
          kdevelop-l10n-da,
          kdevelop-l10n-de,
          kdevelop-l10n-engb,
          kdevelop-l10n-es,
          kdevelop-l10n-et,
          kdevelop-l10n-fi,
          kdevelop-l10n-fr,
          kdevelop-l10n-gl,
          kdevelop-l10n-it,
          kdevelop-l10n-nds,
          kdevelop-l10n-nl,
          kdevelop-l10n-pt,
          kdevelop-l10n-ptbr,
          kdevelop-l10n-ru,
          kdevelop-l10n-sl,
          kdevelop-l10n-sv,
          kdevelop-l10n-th,
          kdevelop-l10n-tr,
          kdevelop-l10n-uk,
          kdevelop-l10n-zhcn,
          kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca,
        kdevelop-l10n-cavalencia,
        kdevelop-l10n-da,
        kdevelop-l10n-de,
        kdevelop-l10n-engb,
        kdevelop-l10n-es,
        kdevelop-l10n-et,
        kdevelop-l10n-fi,
        kdevelop-l10n-fr,
        kdevelop-l10n-gl,
        kdevelop-l10n-it,
        kdevelop-l10n-nds,
        kdevelop-l10n-nl,
        kdevelop-l10n-pt,
        kdevelop-l10n-ptbr,
        kdevelop-l10n-ru,
        kdevelop-l10n-sl,
        kdevelop-l10n-sv,
        kdevelop-l10n-th,
        kdevelop-l10n-tr,
        kdevelop-l10n-uk,
        kdevelop-l10n-zhcn,
        kdevelop-l10n-zhtw
Recommends: kdevplatform-l10n
Description: localization files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the translations for KDevelop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
DEB_CMAKE_EXTRA_FLAGS += -DLIBOKTETA1KASTEN2CORE_LIBRARY=false
endif

binary-install/kdevelop::
	install -D -p -m0644 debian/kdevelop.xpm \
		debian/kdevelop/usr/share/pixmaps/kdevelop.xpm

binary-install/kdevelop-data::
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_install --autodest -pkdevelop-data usr/share/kde4/apps/kdevokteta/*
endif

# Work around a conflict with kapptemplate
binary-install/kdevelop-data::
	find debian/$(cdbs_curpkg) -type f -name qmake_qt4guiapp.tar.bz2 | xargs rm -f

DEB_DBG_PACKAGE_kdevelop := kdevelop-dbg

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+).tar.bz2

## kdevelop 4.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,15 @@
 # KDevelop version
 set( KDEVELOP_VERSION_MAJOR 4 )
-set( KDEVELOP_VERSION_MINOR 6 )
+set( KDEVELOP_VERSION_MINOR 7 )
 set( KDEVELOP_VERSION_PATCH 0 )
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVELOP_VERSION_MINOR}.${KDEVELOP_VERSION_PATCH}" )
 
 ################################################################################
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.9)
 
 project(KDevelop)
-
-set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )
 
 set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
@@ -21,6 +19,13 @@
 include (KDE4Defaults)
 include (MacroLibrary)
 include (MacroOptionalAddSubdirectory)
+
+find_package(QJSON)
+# QJSON <=0.7.1 provides variables with lower case prefix, see bug 331426
+if (QJSON_VERSION VERSION_LESS "0.7.2")
+    set(QJSON_LIBRARIES   ${qjson_LIBRARIES})
+    set(QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
+endif()
 
 # Make sure that we're having RPATH on our installed libs, else using kdevelop
 # from prefixes like $HOME/kdevelop breaks
@@ -38,6 +43,21 @@
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
+
+if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    # in Qt 4, clang support is lacking...
+    add_definitions("-DQ_COMPILER_INITIALIZER_LISTS=1")
+endif()
+
+# Turn off missing-field-initializers warning to avoid noise from false positives with empty {}
+# See discussion: http://mail.kde.org/pipermail/kdevelop-devel/2014-February/046910.html
+if (CMAKE_COMPILER_IS_GNUCXX)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers")
+endif()
 
 include_directories(${KDevelop_SOURCE_DIR} ${KDevelop_BINARY_DIR} ${KDE4_INCLUDES} )

=== app/CMakeLists.txt ===
add_subdirectory(plasma)

########### next target ###############

find_package(SharedMimeInfo REQUIRED)
macro_optional_find_package(KDeclarative)

set(kdevelop_SRCS  main.cpp kdevideextension.cpp splash.cpp)
if(KDECLARATIVE_FOUND)
    set(kdevelop_SRCS ${kdevelop_SRCS}
                   welcomepage/sessionsmodel.cpp welcomepage/welcomepageview.cpp welcomepage/uihelper.cpp)
    add_definitions(-DWITH_WELCOMEPAGE)
	qt4_add_resources(kdevelop_SRCS welcomepage/welcomepage.qrc)
endif(KDECLARATIVE_FOUND)
kde4_add_app_icon(kdevelop_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")

kde4_add_executable(kdevelop ${kdevelop_SRCS} )

target_link_libraries(kdevelop
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_SHELL_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4_THREADWEAVER_LIBRARIES}

    ${QT_QTDECLARATIVE_LIBRARIES}
)
if(KDECLARATIVE_FOUND)
    target_link_libraries(kdevelop ${KDECLARATIVE_LIBRARY})
endif(KDECLARATIVE_FOUND)

install(TARGETS kdevelop ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES kdevelop! DESTINATION bin PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

kde4_add_app_icon(kdevelop_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")

if (Q_WS_MAC)
	#sets MacOSX bundle properties for all targets in this cmake file
	#make those assignments target-dependent when cmake 2.6 is useful on MacOSX
	set(MACOSX_BUNDLE_BUNDLE_NAME KDevelop)
	set(MACOSX_BUNDLE_BUNDLE_VERSION "4.0")
	set(MACOSX_BUNDLE_COPYRIGHT "KDevelop Team")
endif (Q_WS_MAC)


########### install files ###############

install( PROGRAMS kdevelop.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( PROGRAMS kdevelop_ps.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kdeveloprc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdevelopui.rc katepartui.rc kdevelop.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdevelop )
install( FILES kdevelop.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
install( FILES splash.qml DESTINATION ${DATA_INSTALL_DIR}/kdevelop )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

=== providers/CMakeLists.txt ===
macro_optional_add_subdirectory(ghprovider)

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindKDevelop.cmake)
install( FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )

=== projectbuilders/cmakebuilder/CMakeLists.txt ===
project(cmakebuilder)
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9032 )
include_directories(
    ${cmakebuilder_SOURCE_DIR}
    ${KDevelop_SOURCE_DIR}/projectmanagers/cmake
    )


########### next target ###############

set(cmakebuilder_LIB_SRCS
    cmakebuilder.cpp
    cmakejob.cpp
    prunejob.cpp
)

kde4_add_kcfg_files( cmakebuilder_LIB_SRCS cmakebuilderconfig.kcfgc )
kde4_add_plugin(kdevcmakebuilder ${cmakebuilder_LIB_SRCS})
target_link_libraries(
    kdevcmakebuilder
    kdev4cmakecommon
        ${KDE4_KIO_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${KDEVPLATFORM_INTERFACES_LIBRARIES}
        ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
)

install(TARGETS kdevcmakebuilder DESTINATION ${PLUGIN_INSTALL_DIR} )
configure_file(kdevcmakebuilder.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevcmakebuilder.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevcmakebuilder.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
########### next target ###############

set( cmakebuilder_cfg_SRCS
    cmakebuilderpreferences.cpp
)

set( cmakebuilder_cfg_UI
    cmakebuildersettings.ui
)


kde4_add_ui_files( cmakebuilder_cfg_SRCS ${cmakebuilder_cfg_UI} )
kde4_add_kcfg_files( cmakebuilder_cfg_SRCS cmakebuilderconfig.kcfgc )

kde4_add_plugin( kcm_kdev_cmakebuilder ${cmakebuilder_cfg_SRCS} )
target_link_libraries( kcm_kdev_cmakebuilder ${KDE4_KIO_LIBS} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_PROJECT_LIBRARIES} ${KDEVPLATFORM_UTIL_LIBRARIES} )
install( TARGETS kcm_kdev_cmakebuilder DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_kdev_cmakebuilder.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== languages/plugins/custom-definesandincludes/CMakeLists.txt ===
add_subdirectory(kcm_widget)
add_subdirectory(tests)
add_subdirectory(compilerprovider)

include_directories( ${KDE4_INCLUDES} ${KDEVPLATFORM_INCLUDE_DIR} )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set( kdevdefinesandincludesmanager_SRCS
        definesandincludesmanager.cpp
        debugarea.cpp
    )
kde4_add_library(kdev4includesdefinessettings SHARED settingsmanager.cpp compilerprovider/icompiler.cpp)
target_link_libraries( kdev4includesdefinessettings LINK_PRIVATE
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES} )

kde4_add_plugin( kdevdefinesandincludesmanager
        ${kdevdefinesandincludesmanager_SRCS})
target_link_libraries( kdevdefinesandincludesmanager LINK_PRIVATE
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
        kdev4includesdefinessettings )

install( TARGETS kdevdefinesandincludesmanager
         DESTINATION ${PLUGIN_INSTALL_DIR} )
install( TARGETS kdev4includesdefinessettings ${INSTALL_TARGETS_DEFAULT_ARGS} )

configure_file(kdevdefinesandincludesmanager.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevdefinesandincludesmanager.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevdefinesandincludesmanager.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debuggers/gdb/printers/tests/CMakeLists.txt ===
function(add_debuggable_executable target)
    cmake_parse_arguments(add_debuggable_executable "" "" "SRCS" ${ARGN})
    add_executable(${target} ${add_debuggable_executable_SRCS})
    # force debug symbols for our debuggees, disable optimizations
    if (WIN32)
        set(_flags "/0d")
    else()
        set(_flags "-O0")
    endif()
    set_target_properties(${target} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS_DEBUG} ${_flags}")
endfunction()

configure_file(qtprintersconfig.h.in qtprintersconfig.h)

add_debuggable_executable(qstring SRCS qstring.cpp)
target_link_libraries(qstring ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qbytearray SRCS qbytearray.cpp)
target_link_libraries(qbytearray ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qlistcontainer SRCS qlistcontainer.cpp)
target_link_libraries(qlistcontainer ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qmapint SRCS qmapint.cpp)
target_link_libraries(qmapint ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qmapstring SRCS qmapstring.cpp)
target_link_libraries(qmapstring ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qmapstringbool SRCS qmapstringbool.cpp)
target_link_libraries(qmapstringbool ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qdate SRCS qdate.cpp)
target_link_libraries(qdate ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qtime SRCS qtime.cpp)
target_link_libraries(qtime ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qdatetime SRCS qdatetime.cpp)
target_link_libraries(qdatetime ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qurl SRCS qurl.cpp)
target_link_libraries(qurl ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qhashint SRCS qhashint.cpp)
target_link_libraries(qhashint ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qhashstring SRCS qhashstring.cpp)
target_link_libraries(qhashstring ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qsetint SRCS qsetint.cpp)
target_link_libraries(qsetint ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qsetstring SRCS qsetstring.cpp)
target_link_libraries(qsetstring ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qchar SRCS qchar.cpp)
target_link_libraries(qchar ${QT_QTCORE_LIBRARY})

add_debuggable_executable(quuid SRCS quuid.cpp)
target_link_libraries(quuid ${QT_QTCORE_LIBRARY})

add_debuggable_executable(qlistpod SRCS qlistpod.cpp)
target_link_libraries(qlistpod ${QT_QTCORE_LIBRARY})

add_debuggable_executable(ktexteditortypes SRCS ktexteditortypes.cpp)
target_link_libraries(ktexteditortypes ${QT_QTCORE_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS})

add_debuggable_executable(kdeveloptypes SRCS kdeveloptypes.cpp)
target_link_libraries(kdeveloptypes ${QT_QTCORE_LIBRARY} ${KDEVPLATFORM_UTIL_LIBRARIES})

kde4_add_unit_test(qtprinters qtprinters.cpp)
target_link_libraries(qtprinters
    ${QT_QTCORE_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

=== languages/cpp/parser/headergen/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


set(headergen_SRCS
    main.cpp
)

kde4_add_executable(headergen TEST ${headergen_SRCS})
target_link_libraries(headergen ${QT_QTXML_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEVPLATFORM_LANGUAGE_LIBRARIES} kdev4cpprpp kdev4cppparser)

=== languages/cpp/parser/rpp/CMakeLists.txt ===

add_subdirectory( tests )

########### next target ###############

set(kdevcpprpp_LIB_SRCS
    pp-stream.cpp
    pp-macro-expander.cpp
    pp-scanner.cpp
    pp-macro.cpp
    pp-engine.cpp
    pp-internal.cpp
    pp-environment.cpp
    pp-location.cpp
    preprocessor.cpp
    chartools.cpp
    macrorepository.cpp
)

# Note: This library doesn't follow API/ABI/BC rules and shouldn't have a SOVERSION
#       Its only purpose is to support the plugin without needing to add all source files
#       to the plugin target
kde4_add_library(kdev4cpprpp SHARED ${kdevcpprpp_LIB_SRCS})
target_link_libraries(kdev4cpprpp LINK_PRIVATE
  ${KDE4_KDECORE_LIBS}
  ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
  ${KDE4_KTEXTEDITOR_LIBS}
)
install(TARGETS kdev4cpprpp ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

# install(FILES
#     pp-engine.h
#     pp-internal.h
#     pp-macro-expander.h
#     pp-macro.h
#     pp-scanner.h
#     pp-stream.h
#     pp-environment.h
#     preprocessor.h
#     DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/rpp
# )

=== languages/plugins/custom-definesandincludes/compilerprovider/CMakeLists.txt ===
set( compilerprovider_SRCS
        compilerprovider.cpp
        icompiler.cpp
        gcclikecompiler.cpp
        msvccompiler.cpp
        compilerfactories.cpp
        ../debugarea.cpp
    )

kde4_add_plugin( kdevcompilerprovider
        ${compilerprovider_SRCS})

target_link_libraries( kdevcompilerprovider LINK_PRIVATE
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
        kdev4includesdefinessettings )

install( TARGETS kdevcompilerprovider
         DESTINATION ${PLUGIN_INSTALL_DIR} )

configure_file(kdevcompilerprovider.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevcompilerprovider.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevcompilerprovider.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

option(BUILD_kdev_msvcdefinehelper "Build the msvcdefinehelper tool for retrieving msvc standard macro definitions" OFF)

if(BUILD_kdev_msvcdefinehelper)
    set(kdevmsvcdefinehelper_SRCS msvcdefinehelper.cpp)
    add_executable(kdevmsvcdefinehelper ${kdevmsvcdefinehelper_SRCS})
    install(TARGETS kdevmsvcdefinehelper RUNTIME DESTINATION bin
                                         LIBRARY DESTINATION lib)
endif(BUILD_kdev_msvcdefinehelper)

add_subdirectory(tests)

=== languages/plugins/custom-definesandincludes/kcm_widget/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ${KDEVPLATFORM_INCLUDE_DIR} ../)

set( kcm_customdefinesandincludes_SRCS
        projectpathsmodel.cpp
        definesmodel.cpp
        includesmodel.cpp
        includeswidget.cpp
        defineswidget.cpp
        projectpathswidget.cpp
        kcm_customdefinesandincludes.cpp
        ../debugarea.cpp
        ../compilerprovider/icompiler.cpp
        compilersmodel.cpp
        compilerswidget.cpp
   )

kde4_add_ui_files( kcm_customdefinesandincludes_SRCS
        batchedit.ui
        includeswidget.ui
        defineswidget.ui
        projectpathswidget.ui
        compilerswidget.ui )
kde4_add_kcfg_files( kcm_customdefinesandincludes_SRCS
        customdefinesandincludes.kcfgc )
kde4_add_plugin( kcm_kdevcustomdefinesandincludes
        ${kcm_customdefinesandincludes_SRCS} )

target_link_libraries( kcm_kdevcustomdefinesandincludes LINK_PRIVATE
        ${KDEVPLATFORM_INTERFACES_LIBRARIES}
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
        kdev4includesdefinessettings )

install( TARGETS kcm_kdevcustomdefinesandincludes
         DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kcm_kdevcustomdefinesandincludes.desktop
         DESTINATION ${SERVICES_INSTALL_DIR} )

=== languages/plugins/custom-definesandincludes/compilerprovider/tests/CMakeLists.txt ===
kde4_add_unit_test(test_compilerprovider
    test_compilerprovider.cpp
    ../icompiler.cpp
)

target_link_libraries(test_compilerprovider
     ${KDEVPLATFORM_TESTS_LIBRARIES}
     ${QT_QTTEST_LIBRARY}
)

=== debian/changelog ===
kdevelop (4:4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Refresh patches.
  * Update copyright.

  [ Pino Toscano ]
  * Update copyright.
  * Add the pkg-config build dependency.
  * Update install files.
  * Install kdevelop.xpm using .install file.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
  * Convert rules to the dh sequencer with kde addon.
  * Remove unused cdbs build dependency.
  * Suggest ninja-build in kdevelop, as there is a plugin using it.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 22:18:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,33 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cdbs,
-               cmake,
-               debhelper (>= 7.4.15),
+Build-Depends: cmake,
+               debhelper (>= 9),
                kde-workspace-dev (>= 4:4.5.2),
-               kdevplatform-dev (>= 1.6.0),
+               kdevplatform-dev (>= 1.7.0),
+               libqjson-dev,
                libqtwebkit-dev,
-               okteta-dev,
+               okteta-dev (>= 4:4.10),
+               pkg-config,
                pkg-kde-tools (>= 0.9.0),
-               libqjson-dev,
                shared-mime-info
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         kate-data
-Recommends: g++, gcc, gdb (>= 7.0), make,
- libqtwebkit-qmlwebkitplugin,
- kdevelop-l10n, kdevelop-php-docs-l10n, kdevelop-php-l10n
-Replaces: kdevelop-custom-buildsystem
-Conflicts: kdevelop-custom-buildsystem
-Suggests: cmake, kapptemplate
+         ${shlibs:Depends}
+Recommends: g++, gcc, gdb (>= 7.0), make
+Suggests: cmake, kapptemplate, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project

=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+).tar.xz
